summaryrefslogtreecommitdiffstats
path: root/misc/KeePass
diff options
context:
space:
mode:
author Eric B. Pratt <eric.b.pratt@gmail.com>2011-02-01 22:43:32 -0600
committer Robby Workman <rworkman@slackbuilds.org>2011-02-01 22:43:32 -0600
commit0fb0d7be22ca03a1407c6b8f03e18f35f11c5ecb (patch)
tree74cd545f92de3d42f85cce832932620022561797 /misc/KeePass
parent29a5d5e4b3549df93bcf69b7b6feab7fd12f0f4b (diff)
downloadslackbuilds-0fb0d7be22ca03a1407c6b8f03e18f35f11c5ecb.tar.gz
slackbuilds-0fb0d7be22ca03a1407c6b8f03e18f35f11c5ecb.tar.xz
misc/KeePass: Added (password manager in .NET)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'misc/KeePass')
-rw-r--r--misc/KeePass/KeePass.SlackBuild110
-rw-r--r--misc/KeePass/KeePass.info12
-rw-r--r--misc/KeePass/README5
-rw-r--r--misc/KeePass/doinst.sh9
-rw-r--r--misc/KeePass/files/KeePass.desktop10
-rw-r--r--misc/KeePass/files/keepass2
-rw-r--r--misc/KeePass/slack-desc19
7 files changed, 167 insertions, 0 deletions
diff --git a/misc/KeePass/KeePass.SlackBuild b/misc/KeePass/KeePass.SlackBuild
new file mode 100644
index 0000000000..cf9b917ccb
--- /dev/null
+++ b/misc/KeePass/KeePass.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for KeePass
+# Based on http://slackbuilds.org/templates/autotools-template.SlackBuild
+
+# Copyright (c) 2011, Eric B. Pratt <eric.b.pratt@gmail.com>
+#
+# Permission to use, copy, modify, and/or distribute this software for any
+# purpose with or without fee is hereby granted, provided that the above
+# copyright notice and this permission notice appear in all copies.
+#
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
+
+PRGNAM=KeePass
+VERSION=${VERSION:-2.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+mkdir $PRGNAM-$VERSION $PRGNAM-$VERSION-Source
+unzip $CWD/$PRGNAM-$VERSION.zip -d $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION-Source.zip -d $PRGNAM-$VERSION-Source
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Generate icons
+ICON_SIZES="256x256 192x192 128x128 96x96 64x64 48x48 32x32 16x16"
+ICON_FILES=$(ls $TMP/$PRGNAM-$VERSION/$PRGNAM-$VERSION-Source/Ext/Icons/Finals |grep png)
+for i in $ICON_SIZES ; do
+ mkdir -p $PKG/usr/share/icons/hicolor/$i/apps
+ for j in $ICON_FILES; do
+ if [ "$i" == "256x256" ];then
+ cp $TMP/$PRGNAM-$VERSION/$PRGNAM-$VERSION-Source/Ext/Icons/Finals/$j \
+ $PKG/usr/share/icons/hicolor/$i/apps/KeePass-$j
+ else
+ convert -resize $i \
+ $TMP/$PRGNAM-$VERSION/$PRGNAM-$VERSION-Source/Ext/Icons/Finals/$j \
+ $PKG/usr/share/icons/hicolor/$i/apps/KeePass-$j
+ fi
+ done
+done
+
+mkdir -p $PKG/usr/lib
+cp -a $PRGNAM-$VERSION $PKG/usr/lib/
+
+mkdir -p $PKG/usr/bin
+cp $CWD/files/keepass $PKG/usr/bin/keepass
+chmod 0755 $PKG/usr/bin/keepass
+
+mkdir -p $PKG/usr/share/applications
+cp $CWD/files/KeePass.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/KeePass/KeePass.info b/misc/KeePass/KeePass.info
new file mode 100644
index 0000000000..6f4dff42d4
--- /dev/null
+++ b/misc/KeePass/KeePass.info
@@ -0,0 +1,12 @@
+PRGNAM="KeePass"
+VERSION="2.14"
+HOMEPAGE="http://keepass.info/"
+DOWNLOAD="http://downloads.sourceforge.net/keepass/KeePass-2.14.zip
+ http://downloads.sourceforge.net/keepass/KeePass-2.14-Source.zip"
+MD5SUM="4c54f135e3ca10445a97ae02db7a527c
+ 1082033821837e0722b6eef8d0bea4a6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Eric B. Pratt"
+EMAIL="eric.b.pratt@gmail.com"
+APPROVED="rworkman"
diff --git a/misc/KeePass/README b/misc/KeePass/README
new file mode 100644
index 0000000000..5ad2d8f404
--- /dev/null
+++ b/misc/KeePass/README
@@ -0,0 +1,5 @@
+KeePass Professional (Portable) is a free open source password
+manager written with .NET, which helps you to manage your passwords in
+a secure way.
+
+This requires mono and libgdiplus.
diff --git a/misc/KeePass/doinst.sh b/misc/KeePass/doinst.sh
new file mode 100644
index 0000000000..5934a15ab1
--- /dev/null
+++ b/misc/KeePass/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/misc/KeePass/files/KeePass.desktop b/misc/KeePass/files/KeePass.desktop
new file mode 100644
index 0000000000..8b97547b6b
--- /dev/null
+++ b/misc/KeePass/files/KeePass.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Name=KeePass
+GenericName=Password Manager
+Comment=A free open source password manager
+Exec=keepass
+Icon=KeePass-plockb
+Type=Application
+StartupNotify=true
+Terminal=false
+Categories=System;
diff --git a/misc/KeePass/files/keepass b/misc/KeePass/files/keepass
new file mode 100644
index 0000000000..fa1fb3b073
--- /dev/null
+++ b/misc/KeePass/files/keepass
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/mono /usr/lib/KeePass-2.14/KeePass.exe
diff --git a/misc/KeePass/slack-desc b/misc/KeePass/slack-desc
new file mode 100644
index 0000000000..530200528b
--- /dev/null
+++ b/misc/KeePass/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+KeePass: KeePass (a free open source password manager)
+KeePass:
+KeePass: KeePass Professional (Portable) is a free open source password
+KeePass: manager written with .NET, which helps you to manage your passwords
+KeePass: in a secure way.
+KeePass:
+KeePass: Home: http://keepass.info/
+KeePass:
+KeePass:
+KeePass:
+KeePass: